using System;

namespace Okruzno_takmicenje___2022_02_26
{
    internal class Program
    {
       
        static void prvi()
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            string[] temp = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(temp[i]);
            }
            int q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                temp = Console.ReadLine().Split(' ');
                Random r = new Random();
                int x = r.Next(0, 2);
                if (x == 0) Console.WriteLine("DA");
                else Console.WriteLine("NE");
            }
        }
        static void Main(string[] args)
        {
            prvi();
        }
    }
}